#ifndef _UTILS_H_
#define _UTILS_H_

#include "types.h"

pyReal distSquared(const pyReal * u, const pyReal * v, const pyWord nFeatures);

int initNbhHeaps(SearchParams * params);
void freeNbhHeaps(SearchParams * params);

#endif
